Bullet Collision Detection & Physics Library: btSoftSingleRayCallback Struct Reference

Bullet Collision Detection & Physics Library

Public Member Functions | Public Attributes | List of all members
btSoftSingleRayCallback Struct Reference
Inheritance diagram for btSoftSingleRayCallback:
[legend]
Collaboration diagram for btSoftSingleRayCallback:
[legend]

## Public Member Functions
| btSoftSingleRayCallback (const btVector3 &rayFromWorld, const btVector3 &rayToWorld, const btSoftRigidDynamicsWorld *world, btCollisionWorld::RayResultCallback &resultCallback)
virtual bool | process (const btBroadphaseProxy *proxy)
Public Member Functions inherited from btBroadphaseRayCallback
virtual | ~btBroadphaseRayCallback ()
Public Member Functions inherited from btBroadphaseAabbCallback
virtual | ~btBroadphaseAabbCallback ()

## Public Attributes
btVector3 | m_rayFromWorld
btVector3 | m_rayToWorld
btTransform | m_rayFromTrans
btTransform | m_rayToTrans
btVector3 | m_hitNormal
const btSoftRigidDynamicsWorld * | m_world
btCollisionWorld::RayResultCallback & | m_resultCallback
Public Attributes inherited from btBroadphaseRayCallback
btVector3 | m_rayDirectionInverse
| added some cached data to accelerate ray-AABB tests More...
unsigned int | m_signs [3]
btScalar | m_lambda_max

## Detailed Description

Definition at line 187 of file btSoftRigidDynamicsWorld.cpp.

## Constructor & Destructor Documentation

## § btSoftSingleRayCallback()

btSoftSingleRayCallback::btSoftSingleRayCallback | ( | const btVector3 & | rayFromWorld,
|  | const btVector3 & | rayToWorld,
|  | const btSoftRigidDynamicsWorld * | world,
|  | btCollisionWorld::RayResultCallback & | resultCallback
| ) |  |
| inline

what about division by zero? –> just set rayDirection[i] to INF/1e30

Definition at line 198 of file btSoftRigidDynamicsWorld.cpp.

## Member Function Documentation

## § process()

virtual bool btSoftSingleRayCallback::process | ( | const btBroadphaseProxy * | proxy | ) |
| inlinevirtual

terminate further ray tests, once the closestHitFraction reached zero

Implements btBroadphaseAabbCallback.

Definition at line 226 of file btSoftRigidDynamicsWorld.cpp.

## Member Data Documentation

## § m_hitNormal

btVector3 btSoftSingleRayCallback::m_hitNormal

Definition at line 193 of file btSoftRigidDynamicsWorld.cpp.

## § m_rayFromTrans

btTransform btSoftSingleRayCallback::m_rayFromTrans

Definition at line 191 of file btSoftRigidDynamicsWorld.cpp.

## § m_rayFromWorld

btVector3 btSoftSingleRayCallback::m_rayFromWorld

Definition at line 189 of file btSoftRigidDynamicsWorld.cpp.

## § m_rayToTrans

btTransform btSoftSingleRayCallback::m_rayToTrans

Definition at line 192 of file btSoftRigidDynamicsWorld.cpp.

## § m_rayToWorld

btVector3 btSoftSingleRayCallback::m_rayToWorld

Definition at line 190 of file btSoftRigidDynamicsWorld.cpp.

## § m_resultCallback

btCollisionWorld::RayResultCallback& btSoftSingleRayCallback::m_resultCallback

Definition at line 196 of file btSoftRigidDynamicsWorld.cpp.

## § m_world

const btSoftRigidDynamicsWorld* btSoftSingleRayCallback::m_world

Definition at line 195 of file btSoftRigidDynamicsWorld.cpp.

The documentation for this struct was generated from the following file:

- btSoftRigidDynamicsWorld.cpp